
Application: gvSIG desktop - gvSIG bugs #3168
Can't delete dbf file to replce with the new dbf
02/06/2015 10:37 AM - Antonio Falciano

Status: New % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee:
Category: Vector editing
Target version:
Severity: Critical Add-on version:
gvSIG version: 2.2.0 Add-on build:
gvSIG build: 2308 Add-on resolve version:
Operative System: Windows Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description
Steps in order to reproduce this bug:
    -  create and open a view;
    -  add a vector layer (e.g. lines);
    -  start editing and add a new feature;
    -  open the attribute table and edit field values;
    -  finally, try to save the edits.

Result: a "Can't delete dbf file to replce with the new dbf" error is shown in the statusbar, the edits can't be saved and the user is
forced to discard the changes.

Related issues:
Related to Application: gvSIG desktop - gvSIG feature requests # 3660: Reload... New 07/06/2015
Related to Application: gvSIG desktop - gvSIG bugs # 4823: Error luego de edi... Invalid 02/21/2018

History
#1 - 02/06/2015 11:15 AM - Álvaro Anguix

Hi Antonio,
Can you attach the log file?
Thanks!

#2 - 02/06/2015 11:26 AM - Antonio Falciano

Hi Alvaro,
I can't reproduce it at the moment, sorry. It happens randomly only on Windows and it depends by the file locking.

#3 - 04/23/2015 01:50 PM - Álvaro Anguix
- Target version set to 2.2.0-2307 (rev. org.gvsig.desktop-2.0.94)
- Status changed from New to Closed

With the new edition, it works.
#4 - 05/11/2015 10:11 AM - Mario Carrera
- Operative System set to Windows
- gvSIG build changed from 2269 to 2308
- gvSIG version changed from 2.1.0 to 2.2.0
- Target version deleted (2.2.0-2307 (rev. org.gvsig.desktop-2.0.94))
- Priority changed from Normal to High
- Status changed from Closed to New

It happens only in Windows, when the layer is in several Views. If you edit the layer in one of them, that error appears when saving changes. It should
be saved even it's in other Views.

#5 - 07/06/2015 09:58 AM - Mario Carrera
- Related to gvSIG feature requests #3660: Reloading layers when a View is active added

#6 - 04/13/2020 09:34 AM - Álvaro Anguix
- Related to gvSIG bugs #4823: Error luego de editar un shapefile utilizado para más de una capa / error after editin shapefie used in multiple layers 
added
